{
  "name": "@openstapps/core",
  "description": "StAppsCore - Generalized model of data",
  "version": "3.0.0-next.0",
  "type": "module",
  "license": "GPL-3.0-only",
  "repository": "git@gitlab.com:openstapps/core.git",
  "author": "Karl-Philipp Wulfert <krlwlfrt@gmail.com>",
  "contributors": [
    "Andreas Lehmann",
    "Anselm Stordeur <anselmstordeur@gmail.com>",
    "Axel Nieder-Vahrenholz",
    "Benjamin Jöckel",
    "Frank Nagel",
    "Jovan Krunić <jovan.krunic@gmail.com>",
    "Michel Jonathan Schmitz",
    "Rainer Killinger <mail-openstapps@killinger.co>",
    "Roman Klopsch",
    "Sebastian Lange",
    "Thea Schöbl <dev@theaninova.de>"
  ],
  "keywords": [
    "Model",
    "StApps"
  ],
  "main": "./lib/index.js",
  "types": "./lib/index.d.ts",
  "files": [
    "lib",
    "test/resources",
    "README.md",
    "CHANGELOG.md"
  ],
  "scripts": {
    "build": "tsup-node --dts && pnpm run mappings && pnpm run schema && pnpm run openapi && cp api-doc.html lib/api-doc.html",
    "docs": "typedoc --json ./docs/docs.json --options ../../typedoc.base.json src/index.ts",
    "format": "prettier . -c --ignore-path ../../.gitignore",
    "format:fix": "prettier --write . --ignore-path ../../.gitignore",
    "lint": "eslint --ext .ts src/",
    "lint:fix": "eslint --fix --ext .ts src/",
    "mappings": "openstapps-es-mapping-generator mapping ../core/src -i minlength,pattern,see,tjs-format -m lib/mappings/mappings.json -a lib/mappings/aggregations.json",
    "openapi": "openstapps-core-tools openapi lib lib && node -e \"assert(JSON.parse(require('fs').readFileSync('lib/openapi.json', 'utf8')).paths['/search'] !== undefined)\"",
    "schema": "node --max-old-space-size=8192 --stack-size=10240 ./node_modules/@openstapps/core-tools/lib/app.js schema src lib/schema",
    "test": "c8 mocha"
  },
  "dependencies": {
    "@openstapps/core-tools": "workspace:*",
    "@types/geojson": "1.0.6",
    "fast-deep-equal": "3.1.3",
    "http-status-codes": "2.2.0",
    "json-patch": "0.7.0",
    "json-schema": "0.4.0",
    "rfdc": "1.3.0"
  },
  "devDependencies": {
    "@openstapps/easy-ast": "workspace:*",
    "@openstapps/es-mapping-generator": "workspace:*",
    "@openstapps/eslint-config": "workspace:*",
    "@openstapps/logger": "workspace:*",
    "@openstapps/prettier-config": "workspace:*",
    "@openstapps/tsconfig": "workspace:*",
    "@types/chai": "4.3.5",
    "@types/json-patch": "0.0.30",
    "@types/json-schema": "7.0.11",
    "@types/mocha": "10.0.1",
    "@types/node": "18.15.3",
    "c8": "7.14.0",
    "chai": "4.3.7",
    "conditional-type-checks": "1.0.6",
    "mocha": "10.2.0",
    "mocha-junit-reporter": "2.2.0",
    "source-map-support": "0.5.21",
    "surge": "0.23.1",
    "ts-node": "10.9.1",
    "tsup": "6.7.0",
    "typedoc": "0.24.8",
    "typescript": "4.9.5"
  },
  "tsup": {
    "entry": [
      "src/index.ts"
    ],
    "sourcemap": true,
    "clean": true,
    "format": "esm",
    "outDir": "lib"
  },
  "prettier": "@openstapps/prettier-config",
  "eslintConfig": {
    "extends": [
      "@openstapps"
    ],
    "rules": {
      "@typescript-eslint/no-empty-interface": "off",
      "jsdoc/check-tag-names": [
        "error",
        {
          "definedTags": [
            "internal",
            "aggregatable",
            "float",
            "indexable",
            "integer",
            "keyword",
            "sortable",
            "text",
            "date",
            "validatable",
            "filterable",
            "inheritTags",
            "minLength",
            "pattern",
            "typeparam",
            "TJS-format"
          ]
        }
      ]
    }
  },
  "eslintIgnore": [
    "resources",
    "openapi"
  ]
}
